AnnotationFormatError (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.annotation
Class AnnotationFormatError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.annotation.AnnotationFormatError

    @TransactionType(value=NOT_SUPPORTED)
    public class AnnotationFormatError

extends Error

Thrown when the annotation parser attempts to read an annotation from a class file and determines that the annotation is malformed.

Direct instances of this error class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.getMessage()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.5, Java Card 3.0

Constructor Summary
`AnnotationFormatError(String message)` Constructs a new `AnnotationFormatError` with the specified detail message.
`AnnotationFormatError(String message, Throwable cause)` Constructs a new `AnnotationFormatError` with the specified detail message and cause.
`AnnotationFormatError(Throwable cause)` Constructs a new `AnnotationFormatError` with the specified cause and a detail message of `(cause == null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationFormatError

    public AnnotationFormatError(String message)

  Constructs a new `AnnotationFormatError` with the specified detail message.

  Parameters:
    `message` - the detail message.

### AnnotationFormatError

    public AnnotationFormatError(String message,
                                 Throwable cause)

  Constructs a new `AnnotationFormatError` with the specified detail message and cause. Note that the detail message associated with `cause` is not automatically incorporated in this error's detail message.

  Parameters:
    `message` - the detail message
    `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### AnnotationFormatError

    public AnnotationFormatError(Throwable cause)

  Constructs a new `AnnotationFormatError` with the specified cause and a detail message of `(cause == null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  Parameters:
    `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.